Plugin-Kompatibilität zu CMSimple_XH 1.7

Ein CMSimple Support Forum für deutsch sprechende Nutzer und Entwickler
cmb
Posts: 12436
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by cmb » Thu Nov 30, 2017 7:11 pm

Hartmut wrote:Test Plugin PLUGINNAME Version: 1pl5
PLUGINNAME? :?
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Hartmut
Posts: 505
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Thu Nov 30, 2017 7:23 pm

cmb wrote:
Hartmut wrote:Test Plugin PLUGINNAME Version: 1pl5
PLUGINNAME? :?
Danke für den Hinweis. Da habe ich die Vorlage für den Plugin Test nicht vollständig ausgefüllt. :oops:
Ich habe es im Testbericht nachvollziehbar geändert.

Test Plugin PLUGINNAME Version: 1pl5
Edit: Test Plugin Yanp_XH Version: 1pl5

Hartmut
Posts: 505
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Thu Nov 30, 2017 7:43 pm

Test Plugin Remotecontent_XH Version: 1.0

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Remotecontent 1.0
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Ja
Plugin Stylesheet + Sprache änderbar und speicherbar? => Ja
Plugin Aufruf auf der Seite: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung wenn : Nein

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Ja
PHP 7.0 Kompatibilität: Ja
PHP 7.0 Kompatibilität: Ja
Weitere Anmerkungen: Die Einbindung externen Inhalts wurde nicht getestet.

Hartmut
Posts: 505
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Thu Nov 30, 2017 8:11 pm

Test Plugin sitr_XH Version: 1.1b

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Sitr
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Nein (leere Seite)
Plugin Konfiguration / Sprache änderbar und speicherbar? => Nein, Plugin Adminseite nicht aufrufbar
Plugin Aufruf auf der Seite: Nicht getestet, keine Dokumentation im Backend des Plugins aufrufbar
Plugin Aufruf im Template: Nicht getestet, keine Dokumentation im Backend des Plugins aufrufbar

Xampp-Fehlermeldungen: Nein
Debug-Meldung : Ja, sobald sich im Admin-Bereich (Backend) angemeldet wird
XH-DEPRECATED: Function initvar() is deprecated
C:\xampp\htdocs\plugins\sitr\admin.php:17

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein
PHP 7.0 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)
PHP 7.0 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)
Weitere Anmerkungen: Dokumentation als Datei vorhanden, ist im Backend des Plugins nicht aufrufbar

lck
Posts: 1168
Joined: Wed Mar 23, 2011 11:43 am
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by lck » Thu Nov 30, 2017 8:22 pm

Hartmut, schau mal hier.
„Bevor du den Pfeil der Wahrheit abschießt, tauche die Spitze in Honig!“      XH-Templates for MultiPage & OnePage

Hartmut
Posts: 505
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Thu Nov 30, 2017 8:48 pm

lck wrote:Hartmut, schau mal hier.
Hallo Ick,

danke für den Hinweis.

2. Test Plugin sitr_XH Version: 1.1b mit dem XH 1.7 Workaround

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Sitr
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Ja
Plugin Konfiguration / Sprache änderbar und speicherbar? => Ja
Plugin Aufruf auf der Seite: Nicht getestet
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung : Ja, sobald sich im Admin-Bereich (Backend) angemeldet wird
XH-DEPRECATED: Function initvar() is deprecated
C:\xampp\htdocs\plugins\sitr\admin.php:17
Folgende Fehlermeldung erscheint wenn der Plugin Seite im Backend aufgerufen wird:
NOTICE: Undefined variable: hint
C:\xampp\htdocs\plugins\sitr\admin.php:58

Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein* (Ja mit dem XH 1.7 Workaround, aber noch keine Plugin Version mit dem Bugfix vorhanden.)
PHP 7.0 Kompatibilität: Ja
PHP 7.0 Kompatibilität: Ja
Weitere Anmerkungen:

cmb
Posts: 12436
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by cmb » Thu Nov 30, 2017 11:05 pm

Hartmut wrote:Edit: Test Plugin Yanp_XH Version: 1pl5
Das gibt es ja auch noch …
Hartmut wrote:Folgende Fehlermeldung erscheint wenn der Plugin Seite im Backend aufgerufen wird:
NOTICE: Undefined variable: hint
C:\xampp\htdocs\plugins\sitr\admin.php:58
Aus der Erinnerung heraus: sitr basiert auf dem alten Example Plugin von djot. Zumindest $hint ist seit langer Zeit hinfällig, und auch einiges andere ist nicht up-to-date. Im Zweifel statt des Example Plugins lieber mal das Plugin-Tutorial lesen. :)
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

Tata
Posts: 2653
Joined: Tue May 20, 2008 5:34 am
Location: Slovakia
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Tata » Fri Dec 01, 2017 2:42 pm

Hartmut wrote:Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein* (Ja mit dem XH 1.7 Workaround, aber noch keine Plugin Version mit dem Bugfix vorhanden.)
PHP 7.0 Kompatibilität: Ja
PHP 7.0 Kompatibilität: Ja
Weitere Anmerkungen:
Ich habe einige der Warnungen behoben, aber jetzt läuft der Plugin nur am Localhost. Am Server ignoriert es jede config Änderung und zeigt immer nur die Seite "After Event Page". Der Grund ist mir nicht bekannt.
CMSimple.sk
It's no shame to ask for an answer if all efforts failed.
But it's awful to ask without any effort to find the answer yourself.

Hartmut
Posts: 505
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Fri Dec 01, 2017 8:27 pm

Tata wrote:
Hartmut wrote:Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein* (Ja mit dem XH 1.7 Workaround, aber noch keine Plugin Version mit dem Bugfix vorhanden.)
PHP 7.0 Kompatibilität: Ja
PHP 7.0 Kompatibilität: Ja
Weitere Anmerkungen:
Ich habe einige der Warnungen behoben, aber jetzt läuft der Plugin nur am Localhost. Am Server ignoriert es jede config Änderung und zeigt immer nur die Seite "After Event Page". Der Grund ist mir nicht bekannt.
Mhm,
mögliche Fehlerquellen könnten fehlende Schreibrechte auf dem Server, oder der Browsercache sein.
Liefert die Browserconsole vielleicht eine Fehlermeldung?
Vielleicht gibt es auch funktionale Unterschiede vom Localhost und dem Server?

Viele Grüße
Hartmut

Hartmut
Posts: 505
Joined: Sat Nov 05, 2011 6:13 pm
Location: Butzbach, Deutschland
Contact:

Re: Plugin-Kompatibilität zu CMSimple_XH 1.7

Post by Hartmut » Fri Dec 01, 2017 8:29 pm

Test Plugin Fb_slidein Version: 1Beta04 16-09-2013

Getestet lokal unter
Xampp
PHP-Version 7.1.1
CMSimple_XH 1.7.1
Template fhs-simple

Plugin in der Sytem-Info sichtbar? => Fb_slidein Version 1Beta04 16-09-2013
Plugin im Admin-Menü sichtbar? => Ja
Plugin im Admin-Menü aufrufbar? => Nein, Seite ohne Inhalt
Plugin Konfiguration / Sprache änderbar und speicherbar? => Nein
Plugin Aufruf im Template: Nicht getestet

Xampp-Fehlermeldungen: Nein
Debug-Meldung: Ja
Plugin installiert + in den Admin-Modus angemeldet:
XH-DEPRECATED: Function initvar() is deprecated
C:\xampp\htdocs\plugins\fb_slidein\admin.php:15


Ergebnis:
CMSimple_XH 1.6 Kompatibilität: Ja
CMSimple_XH 1.7 Kompatibilität: Nein
PHP 7.0 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)
PHP 7.0 Kompatibilität: ?? (vermutl. Ja, aber nicht testbar da o.g. Fehler)
Weitere Anmerkungen:

Post Reply